﻿using System;
using System.Windows.Forms;
using Clocks; // to use class TimeSpanEventArgs

namespace ClockGUI
{
    class DigitalClock
    {
        private readonly Control _display;

        public DigitalClock(Control visualControlWithText)
        {
            // Control is the base class for "Label" and many other classes
            _display = visualControlWithText;
        }


        internal void Update(object sender, TimeSpanEventArgs e)
        {
            if (e != null)
                Draw(e.Time);
        }

        private void Draw(TimeSpan time)
        {
            _display.Text = time.ToString();
        }


    }
}
